﻿.mc-calendar--modal {
    z-index: 9999999 !important;
}

.piscando {
    animation: piscar 780ms ease infinite;
    animation-direction: alternate;
}

@keyframes piscar {
    from {
        background-color: #fa561b56;
    }
}

:root {
    --bs-body-font-size: 0.9rem !important;
}

[data-bs-theme=light] {
    --bs-border-color: rgba(26, 29, 33, 0.23) !important;
}

.btn-group-sm > .btn, .btn-sm {
    --bs-btn-font-size: 0.78rem !important;
}

.mc-date--marked {
    background-color: RGBA(var(--bs-primary-rgb), 0.2);
    color: var(--mc-date-active-def-foreground);
}

.pagination-container {
    & ul li > * {
        text-decoration: none;
        padding: 7px 10px;
        display: block;
    }

    & > ul {
        & li {
            border-left: 1px solid silver;
            border-bottom: 1px solid silver;
            border-top: 1px solid silver;
            transition: background-color 300ms ease,color 300ms ease,border-color 300ms ease;
        }

            & li:hover:not(.active) {
                background-color: var(--bs-primary);
                border-color: var(--bs-primary);

                & > * {
                    color: white;
                }
            }

            & li:last-of-type {
                border-right: 1px solid silver;
                border-end-end-radius: 8px;
                border-start-end-radius: 8px;
            }

            & li:first-of-type {
                border-start-start-radius: 8px;
                border-end-start-radius: 8px;
            }
    }
}

@media (max-width: 460px) {
    #Elemento-header-nome-clinica {
        font-size: 15px !important;
        margin-right: 6px !important;
    }
}


/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 5%;
    padding-right: 5%;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 2px solid #b94a48;
}

select.input-validation-error {
    border: 2px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    color: #b94a48;
}

.validation-summary-valid {
    display: none;
}

.kv-avatar .file-preview-frame, .kv-avatar .file-preview-frame:hover {
    margin: 0;
    padding: 0;
    border: none;
    box-shadow: none;
    text-align: center;
}

.kv-avatar .file-input {
    display: table-cell;
    max-width: 220px;
}

input[type=text],
textarea {
    text-transform: uppercase;
}

.toast-bottom-full-width {
    bottom: 70px !important;
}

a.alert-links {
    text-decoration: underline;
    font-weight: bolder;
}

.checkbox label {
    font-weight: bold;
}

th {
    white-space: nowrap;
}

@media (min-width: 768px) {
    .navbar-right {
        float: right !important;
        margin-right: 0 !important;
    }
}

.pagination-pages {
    /*margin-top: -15px;
    margin-bottom: 10px;*/
}

input[type=text].lowercase,
textarea.lowercase {
    text-transform: lowercase !important;
}

table .action-column {
    white-space: nowrap;
    text-align: center;
}
div.action-column {
    white-space: nowrap;
}

.menu-icon {
    font-size: 1.5em;
    padding-right: 5px;
}


.navbar-inverse .navbar-nav > li > a:hover, .navbar-inverse .navbar-nav > li > a:focus {
    background-color: #15a589;
}

.edit-node-item {
    padding-left: 20px;
}

.add-child-node-item {
    padding-left: 10px;
}

    .edit-node-item:hover,
    .add-child-node-item:hover {
        color: #000;
    }

.agenda-hover-tooltip-wrapper p {
    margin: 0;
    text-align: left;
    line-height: 2em;
    font-size: 12px;
}
.agenda-tooltip .tooltip-arrow.large{
    border-top-color: #fff !important;
    margin-bottom: 1px !important;
}

.tooltip-inner.large {
    min-width: 200px;
    background-color: #fff;
    border: 1px solid #ccc;
    color: #000;
    box-shadow: 0px 0px 15px #595858;
}

.tooltip.in {
    opacity: 1 !important;
}

/*.agenda-popover .popover-content {
    padding: 0;
    width: 200px;
}*/

.popover-header-title {
    padding: 8px 14px 8px 0;
    margin: 0;
    font-size: 13px;
    font-weight: bold;
    background-color: #dededf;
    border-bottom: 1px solid #ebebeb;
}

.agenda-popover .popover-content > i {
    color: #000;
    font-size: 18px;
    float: left;
    margin: 9px 7px 0 5px;
}

.popover-list {
    list-style: none;
    width: 100%;
    padding: 0;
    margin: 0;
}

    .popover-list li {
        text-align: left;
        border-bottom: 1px solid #cccccc;
        height: 25px;
        padding-left: 10px;
    }

        .popover-list li i {
            font-size: 14px;
            color: #aaa;
        }

        .popover-list li a {
            margin-left: 5px;
            text-decoration: none;
            line-height: 30px;
            color: inherit;
        }

            .popover-list li a:hover {
                text-decoration: none;
                cursor: pointer;
            }
.legenda-status-container,
.agenda-total-records {
    text-align: center;
}
.legenda-status{
    display: inline-flex;
    font-size: 10px;
    list-style-type: none;
}
.legenda-status li{
    padding-right: 10px;
}

.legenda-status i#agendada-status ,
.agenda-popover-status-list li i#agendada-status {
    color: lightblue;
}
.legenda-status i#confirmada-status ,
.agenda-popover-status-list li i#confirmada-status {
    color: lightgreen;
}
.legenda-status i#finalizada-status ,
.agenda-popover-status-list li i#finalizada-status {
    color: lightslategray;
}
.legenda-status i#cancelada-paciente-status ,
.agenda-popover-status-list li i#cancelada-paciente-status {
    color: lightcoral;
}
.legenda-status i#cancelada-profissional-status ,
.agenda-popover-status-list li i#cancelada-profissional-status {
    color: rgba(128, 0, 128, 0.68);
}
.legenda-status i#falta-status ,
.agenda-popover-status-list li i#falta-status {
    color: lightsalmon;
}
.legenda-status i#aguardando-status ,
.agenda-popover-status-list li i#aguardando-status {
    color: lightgoldenrodyellow;
}

    .legenda-status i#em-andamento-status,
    .agenda-popover-status-list li i#em-andamento-status {
        color: rgba(63, 253, 172, 0.7);
    }

.lista-consultas-dias {
    margin-bottom: 10px;
    border: 1px solid #ccc;
    -ms-border-radius: 5px;
    border-radius: 5px;
    padding: 15px;
}

    .lista-consultas-dias p{
        width: 100%;
        
    }

    .lista-consultas-dias p:last-child {
        margin-bottom: 0 !important;
    }

    .lista-consultas-dias p span{
        font-weight: bold;
    }


    .agenda-popover > .popover-content{
        font-size: 13px;
    }

    .agenda-popover{
        max-width: 350px;
    }

    .agenda-popover .popover-body {
        padding: 10px;
    }
    
.input-text-transform-none {
    text-transform: none !important;
}

.input-file {
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    cursor: pointer;
    opacity: 0;
    width: 100%;
}

.pagamento-pago{
    background-color: #18bc9c;
    color: #fff;
}

.pagamento-atrasado{
    background-color: #e74c3c;
    color: #fff;
}
.pagamento-a-pagar{
    background-color: rgb(255, 195, 0);
    color: rgb(255, 255, 255);
}
.pagamento-pago-com-atraso{
    background-color: beige;
    color: #000;
}

.pagamento-cancelado-pelo-admin{
    background-color: #ff8100;
    color: #fff;
}

.pagamento-inadimplente {
    background-color: #ff582b;
    color: #fff;
}

.pagamento-pix-expirado {
    background-color: #e81c3c;
    color: #fff;
}

.custom {
    background: white !important;
    border: 0 !important;
    font-size: 14px !important;
    font-family: "Lato","Helvetica Neue",Helvetica,Arial,sans-serif !important;
    color: #2c3e50 !important;
}
.ms-res-ctn .ms-res-item em {
    font-style: normal;
    background: transparent;
    color: #000;
    font-weight: bold;
}

.container-toggler {
    padding-left: 10px;
    cursor: pointer;
    font-size: 13px;
}

@media (min-width: 767px) {
    .navbar-nav .dropdown-menu .caret {
	transform: rotate(-90deg);
    }
}

.dropdown-submenu.active>.dropdown-menu {
display: block;
}

.dropdown-submenu.active>a:after {
border-left-color: #fff;
}
.progress-overlay {
    background-color: rgba(255, 255, 255, 0.5);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: 0;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    object-fit: contain;
    z-index: 1100;
    transition: all 0.3s ease;
}

.btn-with-margin-right-5{
    margin-right: 5px;
}

.offline-overlay {
    top: 0;
    width: 100%;
    position: fixed;
    background-color: rgba(255, 255, 255, 0.9);
    bottom: 0;
    /*Navbar do bootstrap tem z-index = 1030*/
    z-index: 1031; 
    display: none;
}
.table-cells-vertical-align-middle tr td{
    vertical-align: middle !important;
}

.developed-by-link {
    display: inline !important;
    padding: 0 !important;
}
    .developed-by-link:hover,
    .developed-by-link:focus {
        background-color: transparent !important;
        text-decoration: underline !important;
        border: 0 !important;
        }
.bottom-navbar-custom {
    color: white !important;
    min-height: 30px !important;
    font-size: 11px;
    opacity: 0.5;
}
.bottom-navbar-custom ul:nth-child(1) {
    margin: 10px 0 0 15px;
}
.bottom-navbar-custom ul:nth-child(2) {
    margin: 10px 15px 0 0;
}
/* Fila virtual */
@media (max-width: 768px){
    .lista-consultas-dias div.dados-paciente {
        font-size: 1.2em;
        margin-bottom: 15px;
        text-align: left;
    }
    .lista-consultas-dias .btn-div{
        text-align: center;
    } 
    .lista-consultas-dias .btn-div button {
        padding: 10px 15px;
        font-size: 15px;
        line-height: 1.42857143;
        border-radius: 4px;
    }
    .lista-consultas-dias div.dados-consulta {
        text-align: center;
    }
}
.cursor-pointer{
    cursor: pointer;
}
.day{
    font-size: 1.2em;
}
    .day i {
        background-color: var(--bs-primary);
        color: var(--bs-primary-color);
        font-size: x-small;
        padding: 2px;
        border-radius: 3px;
        position: absolute;
        margin-left: 3px;
        font-style: normal;
    }

.help-icon {
    padding-right: 10px;
    font-size: 22px;
    margin-top: -10px;
    cursor: pointer;
}
.backdrop {
    top: 0;
    bottom: 0;
    width: 100%;
    position: absolute;
    background: rgba(84, 82, 82, 0.25);
    z-index: 1030;
}

.orcamento-valor-total {
    transition: background-color 1s ease-in 0s;
}

@media (max-width:1024px) {
    .paciente-header-buttons {
        margin-bottom: 15px;
    }
}

.backgroundRed {
    background-color: #ffa4a2
}

.backgroundGreen {
    background-color: #e1ffb1
}

.backgroundBlue {
    background-color: #b2fef7
}

.text-middle {
    vertical-align: middle !important;
}

.smooth-transition {
    transition: all 0.3s ease;
}

.fix-modal-overflow {
    overflow-x: hidden !important;
    overflow-y: auto !important;
}

.bold-text {
    font-weight: bold;
}

.m-top-25px {
    margin-top: 25px;
}

.m-top-10px {
    margin-top: 10px;
}

.overflow-auto {
    overflow: auto;
}

@keyframes fade-in {
    0% {
        opacity: 0;
    }
    
    100% {
        opacity: 1;
    }
}

@keyframes fade-in-out {
    0% {
        opacity: 0;
    }

    25% {
        opacity: 0.6;
    }

    50%, 75% {
        opacity: 0.6;
    }

    100% {
        opacity: 0;
    }
}

@keyframes pulse {
    0%, 100% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.05);
    }
}

@keyframes pulse-minus {
    0%, 100% {
        transform: scale(1);
    }

    50% {
        transform: scale(0.90);
    }
}